Re: Can't access Draws Manager


 

In your errors, we see:

Aug 31 12:04:53 radiopi npm[12818]: npm ERR! node -v v8.11.1

Aug 31 12:04:53 radiopi npm[12818]: npm ERR! npm -v 1.4.21

Aug 31 12:04:53 radiopi npm[12818]: npm ERR! code ELIFECYCLE

Aug 31 12:04:53 radiopi npm[12818]: npm WARN This failure might be due to the use of legacy binary "node"

Aug 31 12:04:53 radiopi npm[12818]: npm WARN For further explanations, please read

Aug 31 12:04:53 radiopi npm[12818]: /usr/share/doc/nodejs/README.Debian

Aug 31 12:04:53 radiopi npm[12818]:  

Two actions to take:

Then 

cd /usr/local/var/draws-manager
sudo git pull
npm install


Then

sudo systemctl stop draws-manager
sudo systemctl start draws-manager 
sudo systemctl status draws-manager
 

Unfortunately, I have just moved my home and haven't gotten to unpacking my test Pi and uploading NWDR 17 to replicate the issue.

--
John D. Hays
Kingston, WA
K7VE

 

Join udrc@nw-digital-radio.groups.io to automatically receive all group messages.